./devel/p5-Test-Spelling, Test::Spelling - check for spelling errors in POD files

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.25nb1, Package name: p5-Test-Spelling-0.25nb1, Maintainer: pkgsrc-users

Test::Spelling lets you check the spelling of a POD file, and report its
results in standard Test::More fashion. This module requires a spellcheck
program such as spell, aspell, ispell, or hunspell.


Required to run:
[lang/perl5] [textproc/p5-Pod-Spell] [devel/p5-Module-Install-GithubMeta] [devel/p5-Module-Manifest-Skip]

Required to build:
[devel/p5-IPC-Run3] [filesystems/p5-Path-Tiny] [pkgtools/cwrappers]

Master sites: (Expand)

SHA1: a5c48f59c0d85753cafd20bc0063c52b03a36b98
RMD160: d54fb1d7f2919cc0f6c3bf7349d97bae7c78a221
Filesize: 28.587 KB

Version history: (Expand)


CVS history: (Expand)


   2020-08-31 20:13:29 by Thomas Klausner | Files touched by this commit (3631) | Package updated
Log message:
*: bump PKGREVISION for perl-5.32.
   2019-11-03 11:16:06 by Roland Illig | Files touched by this commit (152)
Log message:
devel/p5-*: align variable assignments

pkglint -Wall -F --only aligned --only indent p5-*

No manual corrections.
   2019-10-31 15:02:58 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
(devel/p5-Test-Spelling) Updated from 0.20 to 0.25

0.25      2019-05-28
  - Re-worded the documentation.
  - Ordered documented function in alphabetical order.
  - Fixed up the synopsis.
  - Put function usage examples directly below the function name; this
    makes it easier to get clickable links for functions in metacpan
  - Documented get_pod_parser
  - Moved hunspell up to the preferred checker

0.24      2019-05-24
  - Fixup the prereqs some
  - Revert the unicode support added in the last release as it caused
    some test breakage

0.23      2019-05-21
  - Fixed some documentation errors (Mohammad S Anwar)
  - Added unicode support (Kivanc Yazan, GH PR#10)
  - Bump Perl prereq to 5.8 now that we support unicode
  - Don't inherit from Exporter (Olivier Mengué, GH PR#9)
  - Bump Exporter prereq to 5.57

0.22      2019-04-24
  - Zero-code-change release encompassing everything from 0.21
  - Resolves RT#120425 . in @INC should no longer be an issue

0.21      2019-04-19 (TRIAL)
  - Removed the POD spelling test from /t as it's now in /xt
  - Forego usage of inc::Module::Install for EU::MM
  - List out all prereqs individually; provide cpanfile
  - Use dzil to build the dist
  - Convert the README to markdown
  - Add a LICENSE file
  - Clean up the Changes log
   2019-08-11 15:25:21 by Thomas Klausner | Files touched by this commit (3557) | Package updated
Log message:
Bump PKGREVISIONs for perl 5.30.0
   2019-07-01 23:36:01 by Nia Alarie | Files touched by this commit (232)
Log message:
Follow some remaining search.cpan.org redirects.
   2018-08-22 11:48:07 by Thomas Klausner | Files touched by this commit (3558)
Log message:
Recursive bump for perl5-5.28.0
   2017-06-14 18:15:11 by Jonathan Perkin | Files touched by this commit (1)
Log message:
Requires PERL_USE_UNSAFE_INC hack.
   2017-06-05 16:25:36 by Ryo ONODERA | Files touched by this commit (2298)
Log message:
Recursive revbump from lang/perl5 5.26.0